main()
{
	//maps\mp\mp_stack_fx::main();
	//maps\createart\mp_stack_art::main();
	maps\mp\_load::main();	
	
	maps\mp\_compass::setupMiniMap("compass_map_mp_stack");

	//setExpFog(500, 2200, 0.81, 0.75, 0.63, 0);
	//VisionSetNaked( "mp_stack" );
	ambientPlay("ambient_stack_ext");

	game["allies"] = "sas";
	game["axis"] = "opfor";
	game["attackers"] = "axis";
	game["defenders"] = "allies";
	game["allies_soldiertype"] = "woodland";
	game["axis_soldiertype"] = "woodland";

	setdvar( "r_specularcolorscale", "1" );
	setdvar("r_glowbloomintensity0",".25");
	setdvar("r_glowbloomintensity1",".25");
	setdvar("r_glowskybleedintensity0",".3");
	setdvar("compassmaxrange","1800");

	//background music code
	musicbackground = getent ("music","targetname");
	musicbackground thread music();

	//glass code
	thread breakglass();

	//door code
	trig_door = getentarray("trig_door","targetname");
	for(i=0;i<trig_door.size;i++)
	trig_door[i] thread doorslideup_think();
}

//background music code
music()
{
	wait(5);
	self playsound("bond");
}

//door code
doorslideup_think()
{
	self.doormoving = false;
	self.doorclosed = true;
	self.doormodel = getent(self.target, "targetname");

	while (1)
	{
		self waittill("trigger");
		if(!self.doormoving)
		self thread doorslideup_move();
	}
}

doorslideup_move()
{
	self.doormoving = true;
	if(self.doorclosed)
	{
		self.doormodel movez(112,1,0.5,0.5);
		self.doormodel playsound("doorslide");
		self.doormodel waittill("movedone");
		self.doorclosed = false;

		//close door again
		wait 4;
		self.doormodel movez(-112,1,0.5,0.5);
		self.doormodel playsound("doorslide");
		self.doormodel waittill("movedone");
		self.doorclosed = true;		
	}
	else
	{
		self.doormodel movez(-112,1,0.5,0.5);
		self.doormodel playsound("doorslide");
		self.doormodel waittill("movedone");
		self.doorclosed = true;
	}
	self.doormoving = false;
}

//glass code
breakglass()
{
	windfx = loadfx ("props/car_glass_large");
	windtrigs = getentarray("windtrig","targetname");
	for(i=0;i<windtrigs.size;i++)
		windtrigs[i] thread dowindow(i,windfx);
}

dowindow(windnumber,windfx)
{
	window = getent(self.target,"targetname");
	totaldamage=0;
	targetdamage=100;
	windowbroken=0;
	broken = getentarray("brokenwindow"+(windnumber+1),"targetname");
	for(j=0;j<broken.size;j++)
	{
		broken[j] notsolid();
		broken[j] hide();
	}
	window show();
	while(!windowbroken)
	{
		self waittill ("damage",amount);
		totaldamage+=amount;
		if(totaldamage>targetdamage)
		{
			windowbroken=1;
		}
	}
//        self playsound("glass_break");
	PlayFX(windfx, self.origin );
	if(broken.size)
	{
		for(j=0;j<broken.size;j++)
		{
			broken[j] show();
		}
	}
	window delete();
	self delete();
}
